<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.quote.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!quote.idQuote">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="quote.idQuote" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.quote.dateIssued" for="field_dateIssued">Date Issued</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateIssued" name="input_dateIssued" [(ngModel)]="quote.dateIssued"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.quote.description" for="field_description">Description</label>
                <input type="text" class="form-control" name="description" id="field_description"
                    [(ngModel)]="quote.description"  />
            </div>

        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    